summaryrefslogtreecommitdiff
path: root/test/librechroot-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/librechroot-test.sh')
-rw-r--r--test/librechroot-test.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/test/librechroot-test.sh b/test/librechroot-test.sh
index f8dd2ba..3896005 100644
--- a/test/librechroot-test.sh
+++ b/test/librechroot-test.sh
@@ -44,6 +44,12 @@ it_respects_exit_status_if_out_isnt_a_tty() (
[[ $r == 3 ]]
)
+it_creates_ca_certificates() {
+ require network sudo || return 0
+ libremessages msg 'Creating a chroot, may take a few minutes' &>/dev/tty
+ testsudo librechroot -l "$roundup_test_name" run test -r /etc/ssl/certs/ca-certificates.crt
+}
+
it_disables_networking_when_requested() {
require network sudo || return 0
libremessages msg 'Creating a chroot, may take a few minutes' &>/dev/tty